Package pygccxml :: Package msvc :: Module bsc_impl_details :: Class instance_t

# Class instance_t

source code

    object --+
             |
            instance_t

Instance Methods

__init__(self, inst_id, bsc) | source code

inst_id(self) | source code

name_type_attribute_mangled_name(self) | source code

mangled_name(self) | source code

name(self) | source code

type(self) | source code

attribute(self) | source code

__str__(self) | source code

definitions(self) | source code

members(self) | source code

used_symbols(self) | source code

base_classes(self) | source code

derived_classes(self) | source code

Method Details

### __init__(self, inst_id, bsc)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### inst_id(self)

source code

Decorators:
  - `@property`

### name_type_attribute_mangled_name(self)

source code

Decorators:
  - `@utils.cached`

### mangled_name(self)

source code

Decorators:
  - `@utils.cached`

### name(self)

source code

Decorators:
  - `@utils.cached`

### type(self)

source code

Decorators:
  - `@utils.cached`

### attribute(self)

source code

Decorators:
  - `@utils.cached`

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

### definitions(self)

source code

Decorators:
  - `@utils.cached`

### members(self)

source code

Decorators:
  - `@utils.cached`

### used_symbols(self)

source code

Decorators:
  - `@utils.cached`

### base_classes(self)

source code

Decorators:
  - `@utils.cached`

### derived_classes(self)

source code

Decorators:
  - `@utils.cached`